:root {
    --primary-color: #4B0082;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

body {
    font-family: Monstserrat, "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
    margin: 0;
    display: grid;
    place-items: center;
    min-height: 100vh;
}


/* Global Stylings */

label {
    display: block;
    margin-bottom: 0.5rem;
}

input {
    display: block;
    width: 100%;
    padding: 0.75rem;
    border: 1px solid #ccc;
    border-radius: 0.25rem;
}

.width-50 {
    width: 50%;
}

.ml-auto {
    margin-left: auto;
}

.text-center {
    text-align: center;
}

.span-little {
    font-size: 11px;
}

footer {
    text-align: center;
    background: rgb(0, 0, 0);
    position: absolute;
    bottom: 0;
    width: 100%;
    height: auto;
    text-align: center;
    line-height: 100px;
}

.copyright {
    color: #000000;
    font-size: 13px;
    margin: 20px 0 0;
}

.banner {
    width: 100%;
}

.caixa {
    position: relative;
    width: 940px;
    margin: 0 auto;
}

.logo-img {
    width: 128px;
}


/* Progress Bar */

.progressbar {
    position: relative;
    display: flex;
    justify-content: space-between;
    margin: 2rem 0 4rem;
}

.progressbar::before,
.progress {
    content: "";
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    height: 4px;
    width: 100%;
    background-color: #dcdcdc;
    counter-reset: step;
    z-index: -1;
}

.progress {
    background-color: var(--primary-color);
    width: 0%;
    transition: 0.3s;
}

.progress-step {
    width: 2.1875rem;
    height: 2.1875rem;
    background-color: #dcdcdc;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.progress-step::before {
    counter-increment: step;
    content: counter(step);
}

.progress-step::after {
    content: attr(data-title);
    position: absolute;
    top: calc(100% + 0.5rem);
    font-size: 0.85rem;
    color: #666;
}

.progress-step-active {
    background-color: var(--primary-color);
    color: #f3f3f3;
}


/* Form */

.form {
    width: clamp(320px, 30%, 430px);
    margin: 0 auto;
    border: 1px solid #ccc;
    border-radius: 0.35rem;
    padding: 1.5rem;
    position: absolute;
    background-color: #fff;
}

.form-step {
    display: none;
    animation: animate .5s;
    transform-origin: top;
}

.form-step-active {
    display: block;
}

.input-group {
    margin: 2rem 0;
}

@keyframes animate {
    from {
        transform: scale(1, 0);
        opacity: 0;
    }
    to {
        transform: scale(1, 1);
        opacity: 1;
    }
}


/* Button */

.btns-group {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1.5rem;
}

.btn {
    padding: 0.75rem;
    display: block;
    text-decoration: none;
    background-color: var(--primary-color);
    color: #f3f3f3;
    text-align: center;
    border-radius: 0.25rem;
    cursor: pointer;
    transition: 0.3s;
}

.btn:hover {
    box-shadow: 0 0 0 2px #fff, 0 0 0 3px var(--primary-color);
}
